QGIS Application - Bug report #8997
Memory vector layer datasource wrongly written in project
2013-11-04 02:54 AM - Radim Blazek

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17654
Description

Changes to vector memory layer attributes are not written to project file because QgsMapLayer::readLayerXML() is using mDataSource
instead of QgsMemoryProvider::dataSourceUri(). QgsMapLayer::readLayerXML() is really very hacky with hardcoded blocks for
providers.

Associated revisions

Revision dbc0f072 - 2015-12-30 09:58 PM - Sebastian Dietrich

read source from provider before saving memory layer (fixes #8997)

Revision 5a42728f - 2016-01-01 08:27 PM - Nyall Dawson

Merge pull request #2624 from SebDieBIn/SaveMemoryLayerFields

Read source from provider before saving memory layer (fixes #8997)

Revision a6f10f4c - 2016-01-01 10:16 PM - Sebastian Dietrich

read source from provider before saving memory layer (fixes #8997)

(cherry picked from commit dbc0f072c638981db982011776d7b110215e80b7)

Revision bc61f758 - 2016-01-15 11:41 AM - Sebastian Dietrich

read source from provider before saving memory layer (fixes #8997)

(cherry picked from commit doc0f072c638981db982011776d7b110215e80b7)

History

#1 - 2015-12-30 01:38 PM - Sebastian Dietrich

See PR 2624 for a solution.

#2 - 2016-01-01 11:28 AM - Nyall Dawson

2024-03-13 12



https://github.com/qgis/QGIS/pull/2624

- Status changed from Open to Closed

Fixed in changeset commit:"5a42728{3e5b7d49¢959dc2a3363d91f411d9b53".
